List bank accounts
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prudra.dev/wallet-infra/bank-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.prudra.dev/wallet-infra/bank-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.prudra.dev/wallet-infra/bank-accounts \
--header 'Authorization: Bearer <token>'[
{
"id": "bac_abc123",
"accountName": "Vendlyst Ltd — Operations",
"currency": "GBP",
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z"
}
]Withdrawals
List bank accounts
GET
/
wallet-infra
/
bank-accounts
List bank accounts
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prudra.dev/wallet-infra/bank-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.prudra.dev/wallet-infra/bank-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.prudra.dev/wallet-infra/bank-accounts \
--header 'Authorization: Bearer <token>'[
{
"id": "bac_abc123",
"accountName": "Vendlyst Ltd — Operations",
"currency": "GBP",
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z"
}
]Authorizations
Your Prudra API key. Get one at dashboard.prudra.com/settings/api-keys

